about summary refs log tree commit diff
path: root/tests/t0109-gitconfig.sh
diff options
context:
space:
mode:
authorVincent Ambo <mail@tazj.in>2020-11-21T18·58+0100
committerVincent Ambo <mail@tazj.in>2020-11-21T18·58+0100
commit5d4756e75ce12a6b67af3a16193f10047ba05218 (patch)
treed631c73d8c7a9d2856e4be6ac25faf1cbed588cd /tests/t0109-gitconfig.sh
parent723dc8fbcb1a4609c264758eae420ee2811a2b55 (diff)
Squashed 'third_party/cgit/' changes from 8fc0c81bbb..adcc4f822f
adcc4f822f tests: try with commit-graph
a1039ab175 tests: do not copy snapshots to /tmp/
a4de0e810b global: replace hard coded hash length
779631c6dc global: replace references to 'sha1' with 'oid'
629659d2cf git: update to v2.29.0
205837d468 git: update to v2.28.0
f780396c0a git: update to v2.27.0
0462f08d85 git: update to v2.26.0
55fa25adb0 Bump version
6a8d6d4b50 global: use proper accessors for maybe_tree
892ba8c3cc ui-snapshot: add support for zstd compression
cc230bf044 tests: add tests for xz compressed snapshots
06671f4b21 ui-snapshot: add support for lzip compression
fde897b817 git: update to v2.25.1
5e49023b01 tests: allow to skip git version tests
fa146ccabd Bump version
bd68c98879 git: update to v2.25.0
ca98c9e7bf tests: skip tests if strace is not functional
d8e5dd25a0 git: update to v2.24.1
583aa5d80e ui-repolist: do not return unsigned (negative) value
bfabd4519c git: update to v2.24.0

git-subtree-dir: third_party/cgit
git-subtree-split: adcc4f822fe11836e5f942fc1ae0f00db4eb8d5f
Diffstat (limited to 'tests/t0109-gitconfig.sh')
-rwxr-xr-xtests/t0109-gitconfig.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/t0109-gitconfig.sh b/tests/t0109-gitconfig.sh
index 3ba668490d..189ef28166 100755
--- a/tests/t0109-gitconfig.sh
+++ b/tests/t0109-gitconfig.sh
@@ -9,6 +9,12 @@ test -n "$(which strace 2>/dev/null)" || {
 	exit
 }
 
+strace true 2>/dev/null || {
+	skip_all='Skipping access validation tests: strace not functional'
+	test_done
+	exit
+}
+
 test_no_home_access () {
 	non_existent_path="/path/to/some/place/that/does/not/possibly/exist"
 	while test -d "$non_existent_path"; do
@@ -19,7 +25,7 @@ test_no_home_access () {
 		-E CGIT_CONFIG="$PWD/cgitrc" \
 		-E QUERY_STRING="url=$1" \
 		-e access -f -o strace.out cgit &&
-	test_must_fail grep "$non_existent_path" strace.out
+	! grep "$non_existent_path" strace.out
 }
 
 test_no_home_access_success() {